%define pkgname mongrel
Summary:	Ruby webserver toolkit
Summary(pl.UTF-8):	Toolkit języka Ruby dla serwera WWW
Name:		ruby-%{pkgname}
Version:	1.1.5
Release:	12
License:	Ruby
Group:		Development/Libraries
Source0:	https://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	a37617eb48f0932cc32143b2d76c0d12
Patch0:		%{name}-nogems.patch
Patch1:		%{name}-ruby1.9.patch
Patch2:		format-security.patch
URL:		https://rubygems.org/gems/mongrel
BuildRequires:	dos2unix
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-devel
BuildRequires:	ruby-irb
BuildRequires:	ruby-modules
BuildRequires:	setup.rb >= 3.4.1-6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ruby webserver toolkit.

%description -l pl.UTF-8
Toolkit języka Ruby dla serwera WWW.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -c
%{__tar} xf %{SOURCE0} -O data.tar.gz | %{__tar} xz
find -newer README  -o -print | xargs touch --reference %{SOURCE0}
dos2unix examples/mongrel_simple_service.rb
%patch0 -p1
%patch1 -p1
%patch2 -p1

find -name '*.rb' -print0 | xargs -0 %{__sed} -i -e 's,\r$,,'

cp %{_datadir}/setup.rb .

%build
# passing CFLAGS breaks -fPIC parsing,
# patch mkmf module to be able to pass CC and OPTFLAGS
%{__ruby} setup.rb config \
	--prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--libdir=%{_libdir} \
	--datadir=%{_datadir} \
	--mandir=%{_mandir} \
	--sysconfdir=%{_sysconfdir} \
	--localstatedir=%{_localstatedir} \
	--rbdir=%{ruby_rubylibdir} \
	--sodir=%{ruby_archdir} \
	--make-prog="%{__make} CC=\"%{__cc}\""

%{__ruby} setup.rb setup

rdoc --ri --op ri lib
rdoc --op rdoc lib
rm -r ri/{IO,Kernel,RequestLog,TCPServer}
rm ri/created.rid

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_ridir},%{ruby_rdocdir}}

%{__ruby} setup.rb install \
	--prefix=$RPM_BUILD_ROOT

cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{ruby_rubylibdir}/*.rb
%{ruby_rubylibdir}/mongrel
%attr(755,root,root) %{ruby_archdir}/*.so

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Mongrel*
%changelog
* Sat Mar 21 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-mongrel.git;a=log;h=master

* Sat Mar 21 2020 Jan Rękorajski <baggins@pld-linux.org> 9865d37
- release 12 (by relup.sh)

* Sun Jun 03 2018 Jan Rękorajski <baggins@pld-linux.org> 4c68abe
- rebuild with ruby 2.4
- release 11 (by relup.sh)

* Fri Oct 27 2017 Elan Ruusamäe <glen@pld-linux.org> 269a3ef
- use updated setup.rb for ruby 2.3

* Wed Oct 25 2017 Jan Rękorajski <baggins@pld-linux.org> 77f1812
- rebuild with ruby 2.3
- release 9 (by relup.sh)

* Sat Mar 19 2016 Elan Ruusamäe <glen@delfi.ee> 4898d75
- ruby 2.1 rebuild
- release 8 (by relup.sh)

* Mon Aug 10 2015 Elan Ruusamäe <glen@delfi.ee> 9411319
- release 7 (by relup.sh)

* Mon Aug 10 2015 Elan Ruusamäe <glen@delfi.ee> 6470847
- noarch rdoc and ri subpackages

* Sun Jul 20 2014 Elan Ruusamäe <glen@delfi.ee> 3832428
- ruby 2.0 rebuild
- release 6 (by relup.sh)

* Sun Jan 26 2014 Jan Rękorajski <baggins@pld-linux.org> 3767690
- fix format string errors

* Mon Nov 15 2010 pawelz <pawelz@pld-linux.org> 475fa29
- release 5

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> f1852ae
- fix build with ruby 1.9

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> 597cbaf
- rel 4
- removed pointless macro abuse
- added rdoc and ri packages

* Sat Aug 08 2009 hawk <hawk@pld-linux.org> 04c9c7f
- BR: dos2unix to workaround CVS stupidity

* Sat Aug 08 2009 hawk <hawk@pld-linux.org> 8807f1d
- release 2

* Sat Aug 08 2009 hawk <hawk@pld-linux.org> 0dd08b8
- proper update for 1.1.5

* Fri Feb 20 2009 aredridel <aredridel@pld-linux.org> fec0555
- 1.1.5

* Fri Feb 20 2009 aredridel <aredridel@pld-linux.org> 976fee3
- up for 1.1.5

* Tue Jan 06 2009 Elan Ruusamäe <glen@pld-linux.org> f6de0e4
- use default loadpath

* Tue Jan 06 2009 Elan Ruusamäe <glen@pld-linux.org> 7c8d297
- cleanups

* Tue Nov 18 2008 Elan Ruusamäe <glen@pld-linux.org> 98fb145
- release 3

